﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebApplication1.WebForm1" %>

<%@ Register assembly="FarPoint.Web.Spread, Version=12.45.20182.0, Culture=neutral, PublicKeyToken=327c3516b1b18457" namespace="FarPoint.Web.Spread" tagprefix="FarPoint" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
  <script>
    window.onload = function () {
      $$.j("#FpSpread1").on("ActiveCellChanged", function (e) {
        var event = e.originalEvent;
        var selectedRow = event.Row;
        //alert("Selected row " + selectedRow);

        disableButton(!isAllowDelete(selectedRow));
      });
    }

    var deleteButton = null;
    function disableButton(disabled) {
      if (deleteButton == null) {
        var imgs = $$.j("#FpSpread1 div.commandBar img");
        for (var i = 0; i < imgs.length; i++) {
          var $img = $$.j(imgs.get(i));
          if ($img.attr("onclick").indexOf(".Delete()") != -1) {
            // Disable delete button
            deleteButton = $img;
            break;
          }
        }
      }

      if (deleteButton != null)
        deleteButton.attr("src", disabled ? deleteButton.attr("disabledimg") : deleteButton.attr("enabledimg"));
    }

    function isAllowDelete(row) {
      /// <summary>Indicate whether a row is fine to delete</summary>

      return row != 1;
    }
  </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
      <FarPoint:FpSpread ID="FpSpread1" runat="server" BorderColor="#A0A0A0" BorderStyle="Solid" BorderWidth="1px" Height="200" Width="400">
        <commandbar backcolor="#F6F6F6" buttonfacecolor="Control" buttonhighlightcolor="ControlLightLight" buttonshadowcolor="ControlDark">
        </commandbar>
        <sheets>
          <FarPoint:SheetView SheetName="Sheet1">
          </FarPoint:SheetView>
        </sheets>
      </FarPoint:FpSpread>
    
    </div>
    </form>
</body>
</html>